Package com.google.android.exoplayer2.util

## Interface SntpClient.InitializationCallback

- Enclosing class:
    SntpClient

      public static interface SntpClient.InitializationCallback

  Callback for calls to `SntpClient.initialize(Loader, InitializationCallback)`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onInitializationFailed​(IOException error)` | Called when the device time offset failed to initialize.
    `void` | `onInitialized()` | Called when the device time offset has been initialized.

- - ### Method Detail

    - #### onInitialized

          void onInitialized()

      Called when the device time offset has been initialized.

    - #### onInitializationFailed

          void onInitializationFailed​(IOException error)

      Called when the device time offset failed to initialize.
      Parameters:
        `error` - The error that caused the initialization failure.